MQServerChannel (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQServerChannel interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQServerChannel

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, MQChannel, java.io.Serializable

    public interface MQServerChannel

extends MQChannel

Server Channel

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`boolean` | `getDataConversion()` Whether sender should convert application data (parameter identifier: MQIACH_DATA_CONVERSION).
`java.lang.String` | `getLocalCommunicationaddress()` Local communications address for the channel (parameter identifier: MQCACH_LOCAL_ADDRESS).
`int` | `getLongRetryCount()` LONGRTY(integer) - LongRetry, LongRetryCount When a sender, server, or cluster-sender channel is attempting to connect to the remote queue manager, and the count specified by SHORTRTY has been exhausted, this specifies the maximum number of further attempts that are made to connect to the remote queue manager, at intervals specified by LONGTMR.
`int` | `getLongRetryTimer()` LONGTMR(integer) For long retry attempts, this is the maximum number of seconds to wait before reattempting connection to the remote queue manager.
`java.lang.String` | `getModeName()` Mode name (parameter identifier: MQCACH_MODE_NAME).
`int` | `getShortRetryCount()` The maximum number of attempts that are made by a sender, server, or cluster-sender channel to connect to the remote queue manager, at intervals specified by SHORTTMR, before the (normally longer) LONGRTY and LONGTMR are used.
`int` | `getShortRetryTimer()` For short retry attempts, this is the maximum number of seconds to wait before reattempting connection to the remote queue manager.
`boolean` | `hasDataConversion()`
`boolean` | `hasLocalCommunicationaddress()`
`boolean` | `hasLongRetryCount()`
`boolean` | `hasLongRetryTimer()`
`boolean` | `hasModeName()`
`boolean` | `hasShortRetryCount()`
`boolean` | `hasShortRetryTimer()`
`void` | `setDataConversion(boolean x)`
`void` | `setLocalCommunicationaddress(java.lang.String x)`
`void` | `setLongRetryCount(int x)`
`void` | `setLongRetryTimer(int x)`
`void` | `setModeName(java.lang.String x)`
`void` | `setShortRetryCount(int x)`
`void` | `setShortRetryTimer(int x)`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQChannel
`getBatchInterval, getBatchSize, getChannelMonitoring, getChannelStatistics, getConnectionName, getDisconnectInterval, getHeaderCompression, getHeartbeatInterval, getKeepAliveInterval, getMaxMessageLength, getMCAName, getMCAType, getMCAUserId, getMCAUserIdentifier, getMessageCompression, getMessageExitName, getMessageExitUserData, getMessageRetry, getMessageRetryTimer, getMessageRetryUserData, getName, getNonPersistentMessageSpeed, getProtocolEndpoint, getQueueManager, getQueueSharingGroupDisposition, getReceiveExitName, getReceiveExitUserData, getSecurityExitName, getSecurityExitUserData, getSendExitName, getSendExitUserData, getSequenceNumberWrap, getShortRetry, getSSLCipherSpecification, getSSLClientAuthentication, getSSLPeer, getTransmissionQueue, getUserID, hasBatchInterval, hasBatchSize, hasChannelMonitoring, hasChannelStatistics, hasConnectionName, hasDisconnectInterval, hasHeaderCompression, hasHeartbeatInterval, hasKeepAliveInterval, hasMaxMessageLength, hasMCAName, hasMCAType, hasMCAUserId, hasMCAUserIdentifier, hasMessageCompression, hasMessageExitName, hasMessageExitUserData, hasMessageRetry, hasMessageRetryTimer, hasMessageRetryUserData, hasName, hasNonPersistentMessageSpeed, hasProtocolEndpoint, hasQueueManager, hasQueueSharingGroupDisposition, hasReceiveExitName, hasReceiveExitUserData, hasSecurityExitName, hasSecurityExitUserData, hasSendExitName, hasSendExitUserData, hasSequenceNumberWrap, hasShortRetry, hasSSLCipherSpecification, hasSSLClientAuthentication, hasSSLPeer, hasTransmissionQueue, hasUserID, setBatchInterval, setBatchSize, setChannelMonitoring, setChannelStatistics, setConnectionName, setDisconnectInterval, setHeaderCompression, setHeartbeatInterval, setKeepAliveInterval, setMaxMessageLength, setMCAName, setMCAType, setMCAUserId, setMCAUserIdentifier, setMessageCompression, setMessageExitName, setMessageExitUserData, setMessageRetry, setMessageRetryTimer, setMessageRetryUserData, setName, setNonPersistentMessageSpeed, setProtocolEndpoint, setQueueManager, setQueueSharingGroupDisposition, setReceiveExitName, setReceiveExitUserData, setSecurityExitName, setSecurityExitUserData, setSendExitName, setSendExitUserData, setSequenceNumberWrap, setShortRetry, setSSLCipherSpecification, setSSLClientAuthentication, setSSLPeer, setTransmissionQueue, setUserID`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getShortRetryCount

    int getShortRetryCount()
                           throws AttributeNotSetException

  The maximum number of attempts that are made by a sender, server, or cluster-sender channel to connect to the remote queue manager, at intervals specified by SHORTTMR, before the (normally longer) LONGRTY and LONGTMR are used. Retry attempts are made if the channel fails to connect initially (whether it is started automatically by the channel initiator or by an explicit command), and also if the connection fails after the channel has successfully connected. However, if the cause of the failure is such that retry is unlikely to be successful, retries are not attempted. The value must be in the range zero through 999 999 999. This parameter is valid only for channels with a channel type (CHLTYPE) of SDR, SVR, CLUSSDR, or CLUSRCVR

  Throws:
    `AttributeNotSetException`

### setShortRetryCount

    void setShortRetryCount(int x)

### hasShortRetryCount

    boolean hasShortRetryCount()

### getDataConversion

    boolean getDataConversion()
                              throws AttributeNotSetException

  Whether sender should convert application data (parameter identifier: MQIACH_DATA_CONVERSION).

  Throws:
    `AttributeNotSetException`

### setDataConversion

    void setDataConversion(boolean x)

### hasDataConversion

    boolean hasDataConversion()

### getLocalCommunicationaddress

    java.lang.String getLocalCommunicationaddress()
                                                  throws AttributeNotSetException

  Local communications address for the channel (parameter identifier: MQCACH_LOCAL_ADDRESS). The maximum length of the string is MQ_LOCAL_ADDRESS_LENGTH.

  Throws:
    `AttributeNotSetException`

### setLocalCommunicationaddress

    void setLocalCommunicationaddress(java.lang.String x)

### hasLocalCommunicationaddress

    boolean hasLocalCommunicationaddress()

### getShortRetryTimer

    int getShortRetryTimer()
                           throws AttributeNotSetException

  For short retry attempts, this is the maximum number of seconds to wait before reattempting connection to the remote queue manager. The time is approximate - zero means that another connection attempt is made as soon as possible. The interval between retries might be extended if the channel has to wait to become active. The value must be in the range zero through 999 999 999. Note: For implementation reasons, the maximum retry interval that can be used is 999 999 - values exceeding this are treated as 999 999. This parameter is valid only for channels with a channel type (CHLTYPE) of SDR, SVR, CLUSSDR, or CLUSRCVR

  Throws:
    `AttributeNotSetException`

### setShortRetryTimer

    void setShortRetryTimer(int x)

### hasShortRetryTimer

    boolean hasShortRetryTimer()

### getModeName

    java.lang.String getModeName()
                                 throws AttributeNotSetException

  Mode name (parameter identifier: MQCACH_MODE_NAME). The maximum length of the string is MQ_MODE_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setModeName

    void setModeName(java.lang.String x)

### hasModeName

    boolean hasModeName()

### getLongRetryCount

    int getLongRetryCount()
                          throws AttributeNotSetException

  LONGRTY(integer) - LongRetry, LongRetryCount When a sender, server, or cluster-sender channel is attempting to connect to the remote queue manager, and the count specified by SHORTRTY has been exhausted, this specifies the maximum number of further attempts that are made to connect to the remote queue manager, at intervals specified by LONGTMR. If this count is also exhausted without success, an error is logged to the operator, and the channel is stopped. The channel must subsequently be restarted with a command (it is not started automatically by the channel initiator). The value must be in the range zero through 999 999 999. This parameter is valid only for channels with a channel type (CHLTYPE) of SDR, SVR, CLUSSDR, or CLUSRCVR.

  Throws:
    `AttributeNotSetException`

### setLongRetryCount

    void setLongRetryCount(int x)

### hasLongRetryCount

    boolean hasLongRetryCount()

### getLongRetryTimer

    int getLongRetryTimer()
                          throws AttributeNotSetException

  LONGTMR(integer) For long retry attempts, this is the maximum number of seconds to wait before reattempting connection to the remote queue manager. The time is approximate - zero means that another connection attempt is made as soon as possible. The interval between retries might be extended if the channel has to wait to become active. The value must be in the range zero through 999 999 999. Note: For implementation reasons, the maximum retry interval that can be used is 999 999 - values exceeding this are treated as 999 999.

  Throws:
    `AttributeNotSetException`

### setLongRetryTimer

    void setLongRetryTimer(int x)

### hasLongRetryTimer

    boolean hasLongRetryTimer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD